> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current block color

> Determines if a block is blue (accepted) or red (rejected).

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/rpc/getCurrentBlockColor/{hash}
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/rpc/getCurrentBlockColor/{hash}:
    get:
      tags:
        - Kaspa Node RPC Proxy
      summary: Get current block color
      description: Determines if a block is blue (accepted) or red (rejected).
      operationId: RpcController_getCurrentBlockColor
      parameters:
        - name: hash
          required: true
          in: path
          description: Block hash to check color for
          schema:
            example: fc4c90a646687ba6f862e6089285dd7a610ef4d7f7614d25295f65aceb02bc41
            type: string
      responses:
        '200':
          description: Block color retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RpcGetCurrentBlockColorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    RpcGetCurrentBlockColorResponseDto:
      type: object
      properties:
        blue:
          type: boolean
          description: Whether the block is blue (true) or red (false)
          example: true
      required:
        - blue
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````